none
se puede cambiar de version un ensamblado? RRS feed

  • Pregunta

  • estoy tratando de hacer un reporte con pdf, pero me muestra el siguiente error:

    El tipo 'System.Drawing.Drawing2D.Matrix' está definido en un ensamblado al que no se hace referencia. Debe agregar una referencia al ensamblado 'System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a'.

    la version del framework que estoy usando es 4.5 y l aversion del  ensamblado es 4.0.0.0

    en este caso no tengo idea de que hacer para eleminar dicho error

    Gracias por la ayuda,


    Joe Nuñez Yaguna

    miércoles, 9 de octubre de 2013 21:24

Respuestas

  • hola

    pero porque dices que la version del ensamblado es la 4 si el error menciona "System.Drawing, Version=2.0.0.0", eso no es la version 4

    lo que menciona el error es que debes agregar la referencia a System.Drawing en tu proyecto, tienes esa referencia ?

    la version del framework que estoy usando es 4.5 y l aversion del  ensamblado es 4.0.0.0

    una version la cambias en las propeidades del proyecto

    imagen

    saludos


    Leandro Tuttini

    Blog
    Buenos Aires
    Argentina


    miércoles, 9 de octubre de 2013 23:15
  • mm pero el error deja bien claro que la referencia no esta definida

    estas seguro que ese Drawing que quieres usar es compatible con un entorno web ? digo si pones el codigo que usa el Drawing en una aplicacion winform (solo para probar) funciona ?

    saludos


    Leandro Tuttini

    Blog
    Buenos Aires
    Argentina

    • Marcado como respuesta Joe Nuñez jueves, 10 de octubre de 2013 17:02
    jueves, 10 de octubre de 2013 0:41

Todas las respuestas

  • hola

    pero porque dices que la version del ensamblado es la 4 si el error menciona "System.Drawing, Version=2.0.0.0", eso no es la version 4

    lo que menciona el error es que debes agregar la referencia a System.Drawing en tu proyecto, tienes esa referencia ?

    la version del framework que estoy usando es 4.5 y l aversion del  ensamblado es 4.0.0.0

    una version la cambias en las propeidades del proyecto

    imagen

    saludos


    Leandro Tuttini

    Blog
    Buenos Aires
    Argentina


    miércoles, 9 de octubre de 2013 23:15
  • mm pero el error deja bien claro que la referencia no esta definida

    estas seguro que ese Drawing que quieres usar es compatible con un entorno web ? digo si pones el codigo que usa el Drawing en una aplicacion winform (solo para probar) funciona ?

    saludos


    Leandro Tuttini

    Blog
    Buenos Aires
    Argentina

    • Marcado como respuesta Joe Nuñez jueves, 10 de octubre de 2013 17:02
    jueves, 10 de octubre de 2013 0:41